/**
    @defgroup group_multimedia
    @{
    @file audiocodec.h
    @}
 */

/*
    @author Матяш А.В. (a.matiash@set-code.ru)
    @date 25.07.2023
*/

#ifndef _AUDIO_CODEC_H_
#define _AUDIO_CODEC_H_

#ifdef __cplusplus
extern "C" {
#endif


#include <multex.h>
#include <sound.h>


/**
 *  @brief Инициализация структур данных.
 *  @details Функция готовит аппаратный аудио-кодек используемого процессора к запуску.
 *  
 *  @return \ref OK при удачном завершении, иначе \ref ERROR.
 */
STATUS audioCodecArchInit ();

/**
 *  @brief Инициализация аудио-кодека используемого процессора.
 *  @details Функция инициализации аппаратного аудио-кодека 
 *  используемого процессора.
 *  
 *  @return Результат инициализации -- набор методов работы со звуком. 
 */
struct audio_codec *audioCodecInit (void);


#ifdef __cplusplus
}
#endif







#endif  // _AUDIO_CODEC_H_

