/**
 * @file backComp.h
 * @brief Типы и макросы для обратной совместимости.
 * @details Вещи, вынесенные из multex.h: нестандартные типы и макросы Linux, Unix, BSD и т.п.
 */


/*
 * @date Created on: 22 сент. 2022 г.
 * @author Sergey Sokolov
 * @author Dubovich Timofey
 */

#ifndef __BACKCOMP_H_
#define __BACKCOMP_H_

/// @privatesection

#define TRUE  (true)
#define FALSE (false)
#define BOOL bool

#define UCHAR unsigned char
#define UINT unsigned int
#define USHORT unsigned short

#define u_char unsigned char
#define u_long unsigned int
#define u_short unsigned short

#define FOREVER for(;;)
#define FAST register
#define IMPORT  extern

#define ALLOC(ptr) {ptr=malloc(sizeof(*ptr)); if (ptr!=NULL) memset(ptr,0,sizeof(*ptr));}

typedef unsigned long long u64;
typedef unsigned int u32;
typedef unsigned short u16;
typedef unsigned char u8;
typedef unsigned char uchar;
typedef unsigned short ushort;
typedef unsigned int uint;
typedef unsigned long ulong;

typedef unsigned char   __u8;
typedef signed char     __s8;
typedef unsigned short  __u16;
typedef signed short    __s16;
typedef unsigned int    __u32;
typedef signed int      __s32;

typedef unsigned long long __u64;

typedef __u16 __le16;
typedef __u32 __le32;


typedef signed long long s64;
typedef signed int s32;
typedef signed short s16;
typedef signed char s8;


typedef unsigned int u32_t;
typedef signed int s32_t;
typedef unsigned short u16_t;
typedef signed short s16_t;
typedef unsigned char u8_t;
typedef signed char s8_t;
typedef int err_t;

typedef void *caddr_t;

typedef unsigned gfp_t;

#define INUM_TO_IVEC(X) ((X)-0x20)


#define container_of(ptr, type, member) ({          \
    const typeof( ((type *)0)->member ) *__mptr = (ptr);    \
    (type *)( (char *)__mptr - offsetof(type,member) );})

#define __iomem

# define __force    //__attribute__((force))

#define cpu_to_le16(x) (x)
#define cpu_to_le32(x) (x)
#define le16_to_cpu(x) (x)
#define le32_to_cpu(x) (x)

#define le16_to_cpus(x) do {} while (0)


#define __round_mask(x, y) ((__typeof__(x))((y)-1))

#define round_up(x, y) ((((x)-1) | __round_mask(x, y))+1)

#define round_down(x, y) ((x) & ~__round_mask(x, y))

#define msleep(ms) sleepms(ms)  // Linux call to Multex call.


  // Карантин
extern int shell_terminated;


#endif /* __BACKCOMP_H_ */
