/**
 * @addtogroup groupCore
 * @{
 * @file crc32.h
 * @brief Имплементация crc32 из GCC.
 * @}
 */
/*
 * @date 2009-2019
 * @author Free Software Foundation, Inc.
 */

#ifndef __CRC32_H_
#define __CRC32_H_

#include "stddef.h"
#include "stdint.h"


/**
 * Имплементация crc32 из GCC, полином - 0x04c11db7.
 * @param pData Указатель на данные.
 * @param len Длинна данных.
 * @param init Параметр, обычно 0xffffffff.
 * @return Контрольная сумма.
 */
uint32_t crc32_compute (const void *pData, size_t len, uint32_t init);

#endif /* __CRC32_H_ */
