/**
 *  @file sound.c
 *  @author Матяш А.В. (a.matiash@set-code.ru)
 *  @brief Файл примера воспроизведения звука.
 *  @details Звуковые файлы должны находиться на диске C: в папке \b sound/.
 *  @date 16.08.2023
 */

#include <multex.h>
#include <sound.h>
#include <stdio.h>


static bool soundTestInited = false;

int soundTestInit () {
    if (soundTestInited)
        return 0;

    soundInit ();

    setMasterVol (50);
    soundTestInited = true;
    return 0;
}


int soundTest (int n) {
    soundTestInit ();
    switch (n) {
        default:
        case 0:
            printf ("Sound!\n");
            playWaveFile ("sound/game.wav");
            break;
        case 1:
            printf ("Sound 'OK'\n");
            playWaveFile ("sound/ok_ster.wav");
            break;
        case 2:
            printf ("Sound 'ERROR'\n");
            playWaveFile ("sound/err_ster.wav");
            break;
        case 3:
            printf ("Sound Mono\n");
            playWaveFile ("sound/mono.wav");
            break;
        case 4:
            printf ("Sound 3D\n");
            playWaveFile ("sound/lr.wav");
            break;
    }
    return 0;
}
