/**
 *  @addtogroup groupStdTypes
 *  @{
 * @file iso646.h
 * @brief Текстовые макросы для символьных операторов Си.
 * @details См. стандарт C11 7.9.
 * @see <a href="https://www.iso.org/standard/57853.html">C11 standard 7.9</a>.
 *  @}
 */

/*
 * @date Created on:  17 Jun 2022.
 * @author Dubovich Timofey
*/

#ifndef __ISO646_H_
#define __ISO646_H_

/**
 *  @name Текстовые макросы для символьных операторов Си.
 *  @{
 */
#define and &&
#define and_eq &=
#define bitand &
#define bitor |
#define compl ~
#define not !
#define not_eq !=
#define or ||
#define or_eq |=
#define xor ^
#define xor_eq ^=
/// @}

#endif /* __ISO646_H_ */
