/**
    @addtogroup groupStdTypes
    @{
    @file math.h
    @brief Стандартные математические функции
    @}
 */

#ifndef _MATH
#define _MATH

/* 
    RTOS MULTEX32
    
    Библиотека математических функций
    
    Автор: Соколов С.В.
    FalconSoft(c), 08/2000

        
*/
#ifdef __cplusplus
extern "C" {
#endif

#define M_PI 3.1415926535897932384626433832795
#define M_SQRT2 1.4142135623730950488016887242097
#define M_LN2        0.693147180559945309417 

typedef struct
         {
          double x;
          double y;
         } complex;
         
// typedef struct
//          {
//           int quot;
//           int rem;
//          } div_t;          

double round(double);
double floor(double);
double ceil(double);
double acos(double);
double asin(double);
double atan(double);
double atan2(double,double);
double sqrt(double);
double sin(double);
double cos(double); 
double tan(double);
double fabs(double);
double pi();
double log(double);
double log10(double);
double exp(double);
double exp2(double);
double fmod(double,double);
double frac(double);
double cabs(complex);
double frexp(double,int*);
double pow(double,double);
double ldexp(double,int);
double cbrt(double);

long int lrint(double x);
long int lrintf(float x);
long long int llrint(double x);
long long int llrintf(float x); 

int isnan(double x);
int isinf(double x);

double trunc(double x);

double sinh(double x);
double cosh(double x);
double tanh(double x); 

float roundf(float);
float floorf(float);
float ceilf(float);
float sqrtf(float);
float fabsf(float);
float powf(float,float);
float log2f(float);
float expf(float);
float exp2f(float);
float cosf(float);
float sinf(float);
float atan2f(float,float);
float atanf(float);
float powf(float,float);
float truncf(float);
float log10f(float);
float ldexpf(float, int) ;
float cbrtf(float);

#ifdef __cplusplus
}
#endif

#endif
