/**
 * @addtogroup groupCore
 * @{
 * @file shell.h
 * @brief Терминал.
 * @}
 */

#ifndef _SHELL
#define _SHELL

#ifdef __cplusplus
extern "C" {
#endif

#include "stdbool.h"
#include "tasklib.h"

#define MAX_CMD_SIZE 4096 // In bytes

/**
 * Запустить терминал в текущей задаче.
 * @details Задача будет обслуживать терминал для установленных для неё stdin и stdout.
 * Задача будет завершена при получении команды 'quit' на терминале (при этом stdout и stdin задачи, если они не являются системными stdout и stdin, будут закрыты).
 * @param printHeader Следует ли выводить приветственное сообщение при запуске терминала.
 * @return Никогда не возвращает значение.
 */
int shellTask (int printHeader);

/**
 * Запустить терминал в отдельной задаче.
 * @details Функция запускает shellTask() в отдельной задаче.
 * @param printHeader Следует ли выводить приветственное сообщение при запуске терминала.
 * @return Идентификатор запущенной задачи.
 */
TASK_ID shell (bool printHeader);

/**
 * Вывести в stdout привественное сообщение терминала.
 */
void printHeader(void);

#ifdef __cplusplus
}
#endif

#endif
