/**
 * @addtogroup groupCore
 * @{
 * @file terminator.h
 * @brief Обработка корректного закрытия драйверов для горячей перезагрузки ОС.
 * @}
 */

#ifndef TERMINATOR_H_
#define TERMINATOR_H_

#ifdef __cplusplus
extern "C" {
#endif

/**
 * Вызвать все ранее зарегистрированные процедуры завершения.
 */
void doTerminate(void);


/**
 * Зарегистрировать процедуру завершения.
 * @param proc Указатель на функцию завершения, которая должна быть вызвана при вызове \ref doTerminate().
 */
void registerTerminator(void (*proc)(void));

#ifdef __cplusplus
}
#endif
#endif // ifndef TERMINATOR_H_
