/*
 * uartConfig.h
 *
 *  Created on: 25 июн. 2019 г.
 *      Author: Dubovich Timofey
 */

#ifndef __UARTCONFIG_H_
#define __UARTCONFIG_H_

#include <multex.h>

//Конфигурация аппаратной части (корректна только для A20)
//com_num - это номер порта
//setup_type зависит от пинов, на которые заведены RX-TX выходы, оно либо 0, либо 1
//Варианты для каждого uart'а перечислены ниже, первый вариант - 0, второй - 1, у uart1 есть только первый вариант
//RX-TX порты для UART0  PB22-PB23 PF2-PF4
//RX-TX порты для UART1  PA10-PA11
//RX-TX порты для UART2  PA2-PA3 PI18-PI19
//RX-TX порты для UART3  PG6-PG7 PH0-PH1
//RX-TX порты для UART4  PG10-PG11 PH4-PH5
//RX-TX порты для UART5  PH6-PH7 PI10-PI11
//RX-TX порты для UART6  PA12-PA13 PI12-PI13
//RX-TX порты для UART7  PA14-PA15 PI20-PI21
STATUS uart_ConfigureHardware(int com_num, int setup_type); //Сконфигурировать пины RX-TX (только их!) и таймеры
int uart_GetIrq(int com_num);   //-1 при ошибке
unsigned int uart_GetBase(int com_num);  //0xFFFFFFFF при ошибке

#endif /* __UARTCONFIG_H_ */
