/*
Header file: udelay.h
*/
#ifndef UDELAY_H_
#define UDELAY_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <inttypes.h>

/* Public declarations */
int udelay_init(void);

//Блокирующая задержка в микро-секундах, если кол-во секунд больше 178, то будет переполнение и уменьшение времени задержки
void udelay(unsigned long usec);
#define mdelay(x) {int _x=(x); while(_x--) udelay(1000);}

void reset_timer(void);
unsigned long get_timer(unsigned long base);
void set_timer(unsigned long t);


/* Микросекундный таймер */

//Вызывается обработчиком прерывания таймера
void uTimer_UpdateTimer(void);

//32х битный таймер в микросекундах, переполняется примерно за час, для измерения бОльших периодов лучше использовать 64х битный вариант
uint32_t uTimer_GetTick(void);

uint64_t uTimer_Get64BitTick(void);


#ifdef __cplusplus
}
#endif
#endif // ifndef UDELAY_H_
